%define dist .el5

Summary: Convert filename encodings
Name: convmv
Version: 1.10
Release: 1%{?dist}.XOS.1

Group: Applications/System
License: GPL
URL: http://j3e.de/linux/convmv
Source: http://j3e.de/linux/convmv/convmv-%{version}.tar.gz
Patch: convmv-1.10-testsuite.patch
BuildRequires: /usr/bin/md5sum
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This package contains the tool convmv with which you can convert the encodings
of filenames, e.g. from Latin1 to UTF-8.

%prep
%setup -q

%build
md5sum -c MD5sums
make

%check
cp %{PATCH0} testsuite.patch
sed -i -e 's|./dotests.sh|patch dotests.sh ../testsuite.patch ; &|' Makefile
make test

%install
rm -rf %{buildroot}
make PREFIX=%{_prefix} DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc CREDITS Changes GPL2 TODO
%{_bindir}/convmv
%{_mandir}/man*/*

%changelog
* Thu Sep 13 2007 X/OS Linux Team <xoslinux@xos.nl> - 1.10-1.el5.XOS.1
- Build for X/OS Linux 5.
- X/OS Linux source rpm based on convmv-1.10-1.el5.src.rpm
  (md5sum of original source rpm: 489d1c63c17090d4f8dc82402d2274c8).
- Include "dist" macro with value ".el5" to match the original release number.
- Add patch to make test suite work correctly (Bugzilla #237687).

* Mon Jul 24 2006 Leon Ho <llch@redhat.com> - 1.10-1.el5
- version 1.10

* Wed Jul 19 2006 Leon Ho <llch@redhat.com> - 1.09-2.el5
- rebuilt for EL

* Fri Mar 10 2006 Nils Philippsen <nphilipp@redhat.com>
- version 1.09

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Fri Jan 14 2005 Warren Togami <wtogami@redhat.com>
- remove testsuite.tar from doc

* Fri Jan 14 2005 Nils Philippsen <nphilipp@redhat.com>
- version 1.08

* Sat Feb 07 2004 Nils Philippsen <nphilipp@redhat.com>
- version 1.07
- initial build
